VERSION 5.00
Object = "{785739C2-A288-11D2-B82B-8D8A650ADC32}#1.0#0"; "PLSERVER.OCX"
Begin VB.Form Form1 
   Caption         =   "Fast Inventory"
   ClientHeight    =   2712
   ClientLeft      =   60
   ClientTop       =   348
   ClientWidth     =   8232
   Icon            =   "FastInventory.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   2712
   ScaleWidth      =   8232
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox Port 
      Height          =   288
      Left            =   6240
      TabIndex        =   10
      Top             =   1680
      Width           =   1452
   End
   Begin VB.CheckBox IDChk 
      Caption         =   "Add Hand Terminal ID"
      Height          =   255
      Left            =   1320
      TabIndex        =   9
      Top             =   2280
      Width           =   1935
   End
   Begin VB.CheckBox DateChk 
      Caption         =   "Add Date and Time"
      Height          =   255
      Left            =   1320
      TabIndex        =   8
      Top             =   1920
      Width           =   1935
   End
   Begin VB.CommandButton StartBut 
      Caption         =   "StartServer (port 500)"
      Height          =   375
      Left            =   6240
      TabIndex        =   7
      Top             =   1200
      Width           =   1935
   End
   Begin VB.CommandButton Command2 
      Caption         =   "About..."
      Height          =   375
      Left            =   7080
      TabIndex        =   6
      Top             =   2040
      Width           =   1095
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Open with Notepad"
      Height          =   375
      Left            =   3480
      TabIndex        =   5
      Top             =   1800
      Width           =   1935
   End
   Begin VB.Frame Frame1 
      Caption         =   "Serial Connection"
      Height          =   975
      Left            =   6240
      TabIndex        =   3
      Top             =   120
      Width           =   1935
      Begin VB.ComboBox ConCom 
         Height          =   315
         ItemData        =   "FastInventory.frx":030A
         Left            =   120
         List            =   "FastInventory.frx":0317
         Style           =   2  'Dropdown List
         TabIndex        =   4
         Top             =   360
         Width           =   1575
      End
   End
   Begin VB.TextBox Path 
      Height          =   375
      Left            =   1320
      TabIndex        =   2
      Text            =   "C:\inventory.txt"
      Top             =   1320
      Width           =   4095
   End
   Begin PLSERVERLib.PLServer PLServer1 
      Height          =   1095
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   5895
      _Version        =   65536
      _ExtentX        =   10398
      _ExtentY        =   1931
      _StockProps     =   0
      BoxPerRow       =   10
   End
   Begin VB.Label Label1 
      Caption         =   "Inventory file:"
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   1320
      Width           =   1095
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'FAST INVENTORY PROGRAM for PiccoLink RF500 system
'18.9.1999 Ari Pyhnen     Nordic Identification
'This program requires hand terminal version 3.1 or later

'frameid constants
Const COUNT_READ As Integer = 20

'NEW_FIELD_EX constants
Const SND_ENTER As Byte = 1
Const NO_SEND As Byte = 2
Const SND_ALL As Byte = 4
Const OVR As Byte = 16
Const FLD_READER As Byte = 32
Const READER_DEFAULT As Byte = 64
Const FLD_ACTIVE As Byte = 128

'Field position constants
Const COUNT_POS As Integer = 26 'count & Read form
Const CODE_POS As Integer = 46


Private Sub Command1_Click()
Dim f As Double
f = Shell("notepad " + Path.Text, vbNormalFocus)
End Sub

Private Sub Command2_Click()
frmAbout.Show vbModal
End Sub

Private Sub ConCom_Click()
PLServer1.Connect (ConCom.ListIndex) ' combobox item data are 0,1,2
End Sub

Private Sub PLServer1_DataArrived(ByVal id As Long, ByVal frameid As Integer)
    
Dim datastr As String

If frameid = -1 Then 'Data from initial screen or from F-key
    datastr = PLServer1.GetData(id, -1)
    SendCountAndReadForm (id)
End If

'*********Data from forms***********
If frameid = COUNT_READ Then
        DataFromCountAndReadForm (id)
Else
        SendCountAndReadForm (id)
End If
    
End Sub


Private Sub SendCountAndReadForm(ByVal id As Long)

Dim retval As Boolean 'PLserver methods usually returns boolean value

    PLServer1.ClearForm (id) 'Clear all
    retval = PLServer1.Text(id, 0, "*Count & Read*")
    retval = PLServer1.Text(id, 20, "Count:")
    retval = PLServer1.Text(id, 40, "Code :")
    retval = PLServer1.NewFieldEx(id, COUNT_POS, 4, OVR + FLD_ACTIVE)
    retval = PLServer1.NewFieldEx(id, CODE_POS, 13, SND_ENTER + SND_ALL + OVR + FLD_READER + READER_DEFAULT)
    
    retval = PLServer1.Send(id, COUNT_READ)
        
End Sub

Private Sub DataFromCountAndReadForm(ByVal id As Long)

    Dim retval As Boolean
    Dim count As String
    Dim code As String
    Dim linetxt As String
    
    Const ForReading = 1, ForWriting = 2, ForAppending = 3
    Dim fs, f, ts
    
    'Count and Code has arrived from hand terminal
    count = PLServer1.GetData(id, COUNT_POS)
    code = PLServer1.GetData(id, CODE_POS)
    
    linetxt = code + ";" + count
    
    'Adding current date and time
    If DateChk.Value = 1 Then
        linetxt = linetxt + ";" + CStr(Now)
    End If
    
    'Adding hand terminal ID value
    If IDChk.Value = 1 Then
        linetxt = linetxt + ";" + Str(id)
    End If
        
    Set fs = CreateObject("Scripting.FileSystemObject")
     On Error GoTo ErrorHandler
    If fs.FileExists(Path.Text) = False Then
        fs.CreateTextFile Path.Text 'Create a file if not exists
    End If
   
    Set f = fs.GetFile(Path.Text) 'Get file object
    Set ts = f.OpenAsTextStream(8, 0)
    
    ts.Write linetxt & vbCrLf 'Write to file and add linefeed
    ts.Close

    retval = PLServer1.FieldCmd(id, COUNT_POS, FLD_ACTIVE) 'Set count field active
    retval = PLServer1.Send(id, -1) 'frameid -1 meens 'same as before'
Exit Sub

ErrorHandler:
    If Err.Number = 76 Then
        retval = PLServer1.PopMessage(id, 22, "Path not found")
    Else
        retval = PLServer1.PopMessage(id, 22, "Can't open file")
    End If
        
    retval = PLServer1.Send(id, -1)
    
End Sub

Private Sub StartBut_Click()
Dim retval As Boolean
retval = PLServer1.StartServer(Val(Port.Text)) 'Start listening network clients
End Sub
